<?php

require("biale_plamy_class.php");

require("biale_plamy_set_from_argv.php");


$test = new bialePlamy(array("pointsTable"=>"Rozdzielcza_".$plamy_prefix."_bzyk_punkty_adresowe",
						     "origWaysTable"=>"Rozdzielcza_".$plamy_prefix."_bzyk_drogi"));
$test->enableShowProgress();
$test->loadCache("dupa");


//$test->generateWays();
//$test->generateXpoints();
////$test->generateJoins();
//$test->generatePrzylacza();
//$test->generateWaysLenghts();
$test->generateLongWays();

//$test->saveCache();
//$test->saveXML();
//$test->saveArrays();


//echo $test->printArray('joins2ways');
//$test->saveWaysTable("Rozdzielcza_test2_bzyk_ways");
//$test->saveJoinsTable("Rozdzielcza_test2_bzyk_joins");
//$test->savePrzylaczaTable("Rozdzielcza_test2_bzyk_przylacza");
$test->saveLongWaysTable("Rozdzielcza_".$plamy_prefix."_bzyk_long_ways");
